Galon Cloud
Galon API v1

/storage/tier

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /storage/tier

Get the project's Storage tier

Exact scope storage:read. Prices in USD cents. Hidden surface: 404 not_found until Galon Storage is open to the account.

API key (Bearer), on the public API endpoint.

Responses

StatusDescriptionBody
200Tiers offered, current tier and scheduled changeobject
401Key missing or invalidError

Examples

curl

curl -X GET "$GALON_API_BASE/storage/tier" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.storage.tier();

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.storage.tier()

PUT /storage/tier

Change Storage tier

Exact scope storage:write. Paid from the balance. Hidden surface: 404 not_found until Galon Storage is open to the account.

API key (Bearer), on the public API endpoint.

Request body

application/json

FieldTypeDescription
tier_idstring · required

Responses

StatusDescriptionBody
200Change applied or scheduledobject
422storage_tier_unknownError
401Key missing or invalidError

Examples

curl

curl -X PUT "$GALON_API_BASE/storage/tier" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"tier_id": "string"}'

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.storage.changeTier({"tier_id": "string"});

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.storage.change_tier({"tier_id": "string"})